light-mode-image
Learn
Authorization Code flowAuthentication provider

API Reference

Configure an Authentication Provider

POST/v1/users/authentication-providers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The Authentication Provider payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/users/authentication-providers" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "redirectUrl": "http://example.com",  "url": "http://example.com",  "scope": [    "openid",    "profile",    "email"  ],  "clientId": "string",  "tokenEndpointAuthMethod": "client_secret_basic",  "staticRequestParameters": {    "property1": "string",    "property2": "string"  },  "forwardedRequestParameters": [],  "claimsToPersist": [],  "clientSecret": "string"}

Retrieve all Authentication Providers

GET/v1/users/authentication-providers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users/authentication-providers"
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "redirectUrl": "http://example.com",      "url": "http://example.com",      "scope": [        "openid",        "profile",        "email"      ],      "clientId": "string",      "tokenEndpointAuthMethod": "client_secret_basic",      "staticRequestParameters": {        "property1": "string",        "property2": "string"      },      "forwardedRequestParameters": [],      "claimsToPersist": [],      "clientSecret": "string"    }  ]}

Retrieve an Authentication Provider

GET/v1/users/authentication-providers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Authentication Provider ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/authentication-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "redirectUrl": "http://example.com",  "url": "http://example.com",  "scope": [    "openid",    "profile",    "email"  ],  "clientId": "string",  "tokenEndpointAuthMethod": "client_secret_basic",  "staticRequestParameters": {    "property1": "string",    "property2": "string"  },  "forwardedRequestParameters": [],  "claimsToPersist": [],  "clientSecret": "string"}

Update an Authentication Provider

PUT/v1/users/authentication-providers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Authentication Provider ID

Formatuuid

Request Body

application/json

Update an Authentication Provider

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/users/authentication-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "redirectUrl": "http://example.com",  "url": "http://example.com",  "scope": [    "openid",    "profile",    "email"  ],  "clientId": "string",  "tokenEndpointAuthMethod": "client_secret_basic",  "staticRequestParameters": {    "property1": "string",    "property2": "string"  },  "forwardedRequestParameters": [],  "claimsToPersist": [],  "clientSecret": "string"}

Delete an Authentication Provider

DELETE/v1/users/authentication-providers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Authentication Provider ID

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/users/authentication-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

How would you rate this page?

Last updated on

On this page